Subject: bug#45530: closed (Re: [bug#45530] [PATCH] gnu: java-xstream: Update to 1.4.15.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 31 Dec 2020 23:37:02 +0000

Your bug report

#45530: [PATCH] gnu: java-xstream: Update to 1.4.15.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
45530: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=45530
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#45530] [PATCH] gnu: java-xstream: Update to 1.4.15.
From: Julien Lepiller <[email-masked]>
To: Leo Famulari <[email-masked]>
Cc: Vincent Legoll <[email-masked]>, [email-masked]
Date: Fri, 1 Jan 2021 00:36:35 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Le Thu, 31 Dec 2020 13:52:51 -0500,
Leo Famulari <[email-masked]> a écrit :

> Pinging the Maven expert!
> 
> On Thu, Dec 31, 2020 at 03:00:39PM +0100, Vincent Legoll wrote:
> > Hello,
> > 
> > On Wed, Dec 30, 2020 at 10:11 PM Leo Famulari <[email-masked]>
> > wrote:  
> > > Are you able to build maven with the java-xstream update?  
> > 
> > I tried:
> > 
> > ./pre-inst-env guix build --no-grafts maven
> > 
> > which failed with:
> > 
> > BUILD FAILED
> > /tmp/guix-build-maven-wagon-http-3.3.4.drv-0/wagon-3.3.4/build.xml:1:
> > Test org.apache.maven.wagon.providers.http.HttpWagonErrorTest failed
> > 
> > Total time: 1 second
> > command "ant" "check" failed with status 1
> > builder for
> > `/gnu/store/pwmh9xclfmmacrw2ni989ha802fjmxqh-maven-wagon-http-3.3.4.drv'
> > failed with exit code 1 build of
> > /gnu/store/pwmh9xclfmmacrw2ni989ha802fjmxqh-maven-wagon-http-3.3.4.drv
> > failed View build log at
> > '/var/log/guix/drvs/pw/mh9xclfmmacrw2ni989ha802fjmxqh-maven-wagon-http-3.3.4.drv.bz2'.
> > cannot build derivation
> > `/gnu/store/9g3i7s3fyravk1q6mrdmqhi0dnszn5x7-maven-3.6.1.drv': 1
> > dependencies couldn't be built
> > guix build: error: build of
> > `/gnu/store/9g3i7s3fyravk1q6mrdmqhi0dnszn5x7-maven-3.6.1.drv' failed
> > vince@guix ~/dev/repo/guix [env]$ guix graph maven-wagon-http |
> > grep xstream
> > 
> > So I don't know what to conclude.
> > 
> > -- 
> > Vincent Legoll  

Weird, I'm able to build maven from master, and after that
maven-wagon-http is indeed not in the path from xstream to maven.

Since it does not create any new failure (I was able to build maven
with this patch), I pushed it as
fdf7095e856c3c13a54baee5d942d14e96f7fb4d.

Thank you!

Subject: [PATCH] gnu: java-xstream: Update to 1.4.15.
From: Vincent Legoll <[email-masked]>
To: [email-masked]
Cc: Vincent Legoll <[email-masked]>
Date: Tue, 29 Dec 2020 13:01:30 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/xml.scm (java-xstream): Update to 1.4.15.
---
 gnu/packages/xml.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/xml.scm b/gnu/packages/xml.scm
index 9dc37addf4..2c7b2901a0 100644
--- a/gnu/packages/xml.scm
+++ b/gnu/packages/xml.scm
@@ -2132,7 +2132,7 @@ outputting XML data from Java code.")
 (define-public java-xstream
   (package
     (name "java-xstream")
-    (version "1.4.10")
+    (version "1.4.15")
     (source
      (origin
        (method git-fetch)
@@ -2144,7 +2144,7 @@ outputting XML data from Java code.")
                                   version)))))
        (file-name (git-file-name name version))
        (sha256
-        (base32 "12m2bw8bapdc1w0pni9wl5hh2y8jfdgcvxd464jl9917dsp3ai2n"))))
+        (base32 "1178qryrjwjp44439pi5dxzd32896r5zs429z1qhlc09951r7mi9"))))
     (build-system ant-build-system)
     (arguments
      `(#:jar-name "xstream.jar"
-- 
2.29.2